Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » WindowBuilder » Installing Window Builder(Help Required)
Installing Window Builder [message #1784501] Wed, 28 March 2018 18:22 Go to next message
Lukas Diwoky is currently offline Lukas DiwokyFriend
Messages: 2
Registered: March 2018
Junior Member
Hello I am currently attending online-classes using eclipse-java-oxygen-3. And I can currently not advance since I am apparently not able to apply the WIndowBuilder correctly-

To prevent missconceptions - this is the download link I used:
https://www.eclipse.org/downloads/download.php?file=/technology/epp/downloads/release/oxygen/3/eclipse-java-oxygen-3-win32-x86_64.zip


Please someone tell me which WindowBuilder-patch is compatible with this version. I tried re-installing it twice and also applying the patch from this from the following site:
http://download.eclipse.org/windowbuilder/WB/integration/4.7/

and got the following error:
Plug-in org.eclipse.wb.core.ui was unable to load class org.eclipse.wb.internal.core.editor.multi.DesignerEditor.


My google-searches lead me to the conclusion that my patch was not compatible. So I figured I might ask here directly how I could possibly fix my problem.

[Updated on: Thu, 29 March 2018 17:46]

Report message to a moderator

Re: Installing Window Builder [message #1784589 is a reply to message #1784501] Thu, 29 March 2018 17:21 Go to previous messageGo to next message
Avi Abrami is currently offline Avi AbramiFriend
Messages: 29
Registered: December 2017
Junior Member
The eclipse download link you posted indicates the Windows 64 bit version. Are you on such a computer?
Re: Installing Window Builder [message #1784591 is a reply to message #1784589] Thu, 29 March 2018 17:45 Go to previous messageGo to next message
Lukas Diwoky is currently offline Lukas DiwokyFriend
Messages: 2
Registered: March 2018
Junior Member
Thank you for bothering to reply! But I solved my problem already.

Solution here for future reference: Turns out that the newest JDK was not compatible and I got the 1.8 version in order to execute Window-Builder properly.
Re: Installing Window Builder [message #1785724 is a reply to message #1784591] Thu, 19 April 2018 02:49 Go to previous messageGo to next message
Michael Wode is currently offline Michael WodeFriend
Messages: 1
Registered: April 2018
Junior Member
Thankyou so much! I spent 2 hours trying to solve this problem. For anyone wondering you should also uninstall your previous version of JDK before installing the earlier version.
Re: Installing Window Builder [message #1785897 is a reply to message #1785724] Sun, 22 April 2018 17:08 Go to previous messageGo to next message
Avi Abrami is currently offline Avi AbramiFriend
Messages: 29
Registered: December 2017
Junior Member
For your information, starting with Java 9, the format of the java version string has changed. However it appears that the WindowBuilder installation has not. Hence it fails to correctly parse the java version string and subsequently crashes. I have offered to help maintain the WindowBuilder code base and asked for specific instructions on how to obtain it, but so far have received no response to my request.
Re: Installing Window Builder [message #1786094 is a reply to message #1785897] Wed, 25 April 2018 13:12 Go to previous message
Eric Clayberg is currently offline Eric ClaybergFriend
Messages: 979
Registered: July 2009
Location: Boston, MA
Senior Member
See https://bugs.eclipse.org/bugs/show_bug.cgi?id=526098
Previous Topic:WindowBuilder Design is Updown
Next Topic:Design Tab Not Showing Anything
Goto Forum:
  


Current Time: Wed Sep 19 06:47:49 GMT 2018

Powered by FUDForum. Page generated in 0.01827 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top